Index: invariantview/perspectives/invariant/invariant_panel.py
===================================================================
--- invariantview/perspectives/invariant/invariant_panel.py	(revision effce1d8fcb1513f63c6814b6c31007a20e76501)
+++ invariantview/perspectives/invariant/invariant_panel.py	(revision 4a2b054ce1972d8c903cf87a9d285cad450d5353)
@@ -1402,5 +1476,5 @@
         iy += 1
         ix = 0
-        self.low_q_sizer.Add(self.power_law_low,(iy, ix),(1,2),
+        self.low_q_sizer.Add(self.power_law_low,(iy, ix), (1, 2),
                             wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
        
@@ -1408,5 +1482,5 @@
         ix = 1
         iy += 1
-        self.low_q_sizer.Add(self.fix_enable_low,(iy, ix),(1,1),
+        self.low_q_sizer.Add(self.fix_enable_low,(iy, ix), (1, 1),
                             wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 0)
         ix += 1
@@ -1415,8 +1489,8 @@
         ix = 1
         iy += 1
-        self.low_q_sizer.Add(power_txt,(iy, ix),(1,1),
+        self.low_q_sizer.Add(power_txt,(iy, ix), (1, 1),
                             wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 0)
         ix += 1
-        self.low_q_sizer.Add(self.power_low_tcl, (iy, ix), (1,1),
+        self.low_q_sizer.Add(self.power_low_tcl, (iy, ix), (1, 1),
                             wx.EXPAND|wx.ADJUST_MINSIZE, 0)
         self.low_extrapolation_sizer.AddMany([(self.low_q_sizer, 0,
@@ -1466,12 +1540,16 @@
         Draw widgets related to extrapolation at high q range
         """
-        self.enable_high_cbox = wx.CheckBox(self, -1, "Enable Extrapolate high-Q", name='enable_high_cbox')
+        self.enable_high_cbox = wx.CheckBox(self, -1,
+                                            "Enable Extrapolate high-Q",
+                                            name='enable_high_cbox')
         wx.EVT_CHECKBOX(self, self.enable_high_cbox.GetId(),
                                          self._enable_high_q_section)
         self.fix_enable_high = wx.RadioButton(self, -1, 'Fix',
-                                         (10, 10),style=wx.RB_GROUP,name='fix_enable_high')
+                                         (10, 10), style=wx.RB_GROUP,
+                                         name='fix_enable_high')
         self.Bind(wx.EVT_RADIOBUTTON, self._enable_fit_power_law_high,
                                      id=self.fix_enable_high.GetId())
-        self.fit_enable_high = wx.RadioButton(self, -1, 'Fit', (10, 10),name='fit_enable_high')     
+        self.fit_enable_high = wx.RadioButton(self, -1, 'Fit', (10, 10),
+                                              name='fit_enable_high')     
         self.Bind(wx.EVT_RADIOBUTTON, self._enable_fit_power_law_high, 
                                         id=self.fit_enable_high.GetId())
@@ -1481,5 +1559,6 @@
         self.power_law_high.SetToolTipString(msg_hint)
         npts_high_txt = wx.StaticText(self, -1, 'Npts')
-        self.npts_high_tcl = InvTextCtrl(self, -1, size=(_BOX_WIDTH*2/3, -1),name='npts_high_tcl')
+        self.npts_high_tcl = InvTextCtrl(self, -1, size=(_BOX_WIDTH*2/3, -1),
+                                         name='npts_high_tcl')
         wx.EVT_TEXT(self, self.npts_high_tcl.GetId(), self._on_text)
         msg_hint = "Number of Q points to consider"
@@ -1487,5 +1566,6 @@
         self.npts_high_tcl.SetToolTipString(msg_hint)
         power_txt = wx.StaticText(self, -1, 'Power')
-        self.power_high_tcl = InvTextCtrl(self, -1, size=(_BOX_WIDTH*2/3, -1),name='power_high_tcl')
+        self.power_high_tcl = InvTextCtrl(self, -1, size=(_BOX_WIDTH*2/3, -1),
+                                          name='power_high_tcl')
         wx.EVT_TEXT(self, self.power_high_tcl.GetId(), self._on_text)
         power_hint_txt = "Exponent to apply to the Power_law function."
@@ -1493,16 +1573,16 @@
         iy = 0
         ix = 0
-        self.high_q_sizer.Add(self.enable_high_cbox,(iy, ix),(1,5),
+        self.high_q_sizer.Add(self.enable_high_cbox, (iy, ix), (1, 5),
                             wx.TOP|wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
         iy += 1
         ix = 0
-        self.high_q_sizer.Add(npts_high_txt,(iy, ix),(1,1),
+        self.high_q_sizer.Add(npts_high_txt, (iy, ix), (1, 1),
                             wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
         ix += 1
-        self.high_q_sizer.Add(self.npts_high_tcl, (iy, ix), (1,1),
+        self.high_q_sizer.Add(self.npts_high_tcl, (iy, ix), (1, 1),
                             wx.EXPAND|wx.ADJUST_MINSIZE, 0)
         iy += 2
         ix = 0
-        self.high_q_sizer.Add(self.power_law_high,(iy, ix),(1,2),
+        self.high_q_sizer.Add(self.power_law_high, (iy, ix),(1, 2),
                             wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
        
@@ -1510,15 +1590,15 @@
         ix = 1
         iy += 1
-        self.high_q_sizer.Add(self.fix_enable_high,(iy, ix),(1,1),
+        self.high_q_sizer.Add(self.fix_enable_high,(iy, ix), (1, 1),
                             wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 0)
         ix += 1
-        self.high_q_sizer.Add(self.fit_enable_high,(iy, ix),(1,1),
+        self.high_q_sizer.Add(self.fit_enable_high,(iy, ix), (1, 1),
                            wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 0)
         ix = 1
         iy += 1
-        self.high_q_sizer.Add(power_txt,(iy, ix),(1,1),
+        self.high_q_sizer.Add(power_txt,(iy, ix), (1, 1),
                             wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
         ix += 1
-        self.high_q_sizer.Add(self.power_high_tcl, (iy, ix), (1,1),
+        self.high_q_sizer.Add(self.power_high_tcl, (iy, ix),  (1, 1),
                             wx.EXPAND|wx.ADJUST_MINSIZE, 0)
         self.high_extrapolation_sizer.AddMany([(self.high_q_sizer, 0, 
@@ -1534,17 +1614,25 @@
         extrapolation_min_txt = wx.StaticText(self, -1, 'Min :')  
         self.extrapolation_min_tcl = OutputTextCtrl(self, -1, 
-                                                size=(_BOX_WIDTH, 20), style=0,name='extrapolation_min_tcl')
+                                                size=(_BOX_WIDTH, 20), style=0,
+                                                name='extrapolation_min_tcl')
         self.extrapolation_min_tcl.SetValue(str(Q_MINIMUM))
-        self.extrapolation_min_tcl.SetToolTipString("The minimum extrapolated q value.")
+        hint_msg = "The minimum extrapolated q value."
+        self.extrapolation_min_tcl.SetToolTipString(hint_msg)
         extrapolation_max_txt = wx.StaticText(self, -1, 'Max :') 
         self.extrapolation_max_tcl = OutputTextCtrl(self, -1,
-                                                  size=(_BOX_WIDTH, 20), style=0,name='extrapolation_max_tcl') 
+                                                  size=(_BOX_WIDTH, 20),
+                                                  style=0,
+                                                  name='extrapolation_max_tcl') 
         self.extrapolation_max_tcl.SetValue(str(Q_MAXIMUM))
-        self.extrapolation_max_tcl.SetToolTipString("The maximum extrapolated q value.")
-        self.extrapolation_range_sizer.AddMany([(extra_hint_txt, 0, wx.LEFT, 10),
-                                                (extrapolation_min_txt, 0, wx.LEFT, 10),
+        hint_msg = "The maximum extrapolated q value."
+        self.extrapolation_max_tcl.SetToolTipString(hint_msg)
+        self.extrapolation_range_sizer.AddMany([(extra_hint_txt, 0, 
+                                                 wx.LEFT, 10),
+                                                (extrapolation_min_txt, 0,
+                                                 wx.LEFT, 10),
                                                 (self.extrapolation_min_tcl,
                                                             0, wx.LEFT, 10),
-                                                (extrapolation_max_txt, 0, wx.LEFT, 10),
+                                                (extrapolation_max_txt, 0,
+                                                 wx.LEFT, 10),
                                                 (self.extrapolation_max_tcl,
                                                             0, wx.LEFT, 10),
@@ -1569,26 +1657,32 @@
         uncertainty = "+/-" 
         volume_txt = wx.StaticText(self, -1, 'Volume Fraction      ')
-        self.volume_tcl = OutputTextCtrl(self, -1, size=(_BOX_WIDTH,-1),name='volume_tcl')
+        self.volume_tcl = OutputTextCtrl(self, -1, size=(_BOX_WIDTH, -1),
+                                         name='volume_tcl')
         wx.EVT_TEXT(self, self.volume_tcl.GetId(), self._on_out_text)
         self.volume_tcl.SetToolTipString("Volume fraction.")
-        self.volume_err_tcl = OutputTextCtrl(self, -1, size=(_BOX_WIDTH,-1),name='volume_err_tcl')
+        self.volume_err_tcl = OutputTextCtrl(self, -1, size=(_BOX_WIDTH, -1),
+                                             name='volume_err_tcl')
         wx.EVT_TEXT(self, self.volume_err_tcl.GetId(), self._on_out_text)
-        self.volume_err_tcl.SetToolTipString("Uncertainty on the volume fraction.")
+        hint_msg = "Uncertainty on the volume fraction."
+        self.volume_err_tcl.SetToolTipString(hint_msg)
         volume_units_txt = wx.StaticText(self, -1, unit_volume)
         
         surface_txt = wx.StaticText(self, -1, 'Specific Surface')
-        self.surface_tcl = OutputTextCtrl(self, -1, size=(_BOX_WIDTH,-1),name='surface_tcl')
+        self.surface_tcl = OutputTextCtrl(self, -1, size=(_BOX_WIDTH, -1),
+                                          name='surface_tcl')
         wx.EVT_TEXT(self, self.surface_tcl.GetId(), self._on_out_text)
         self.surface_tcl.SetToolTipString("Specific surface value.")
-        self.surface_err_tcl = OutputTextCtrl(self, -1, size=(_BOX_WIDTH,-1),name='surface_err_tcl')
+        self.surface_err_tcl = OutputTextCtrl(self, -1, size=(_BOX_WIDTH, -1),
+                                              name='surface_err_tcl')
         wx.EVT_TEXT(self, self.surface_err_tcl.GetId(), self._on_out_text)
-        self.surface_err_tcl.SetToolTipString("Uncertainty on the specific surface.")
+        hint_msg = "Uncertainty on the specific surface."
+        self.surface_err_tcl.SetToolTipString(hint_msg)
         surface_units_txt = wx.StaticText(self, -1, unit_surface)
         iy = 0
         ix = 0
-        self.volume_surface_sizer.Add(volume_txt, (iy, ix), (1,1),
+        self.volume_surface_sizer.Add(volume_txt, (iy, ix), (1, 1),
                              wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
         ix += 1
-        self.volume_surface_sizer.Add(self.volume_tcl, (iy, ix), (1,1),
+        self.volume_surface_sizer.Add(self.volume_tcl, (iy, ix), (1, 1),
                             wx.EXPAND|wx.ADJUST_MINSIZE, 10)
         ix += 1
@@ -1596,15 +1690,15 @@
                          (iy, ix),(1,1),wx.EXPAND|wx.ADJUST_MINSIZE, 10) 
         ix += 1
-        self.volume_surface_sizer.Add(self.volume_err_tcl, (iy, ix), (1,1),
+        self.volume_surface_sizer.Add(self.volume_err_tcl, (iy, ix), (1, 1),
                             wx.EXPAND|wx.ADJUST_MINSIZE, 10) 
         ix += 1
-        self.volume_surface_sizer.Add(volume_units_txt, (iy, ix), (1,1),
+        self.volume_surface_sizer.Add(volume_units_txt, (iy, ix), (1, 1),
                              wx.EXPAND|wx.ADJUST_MINSIZE, 10)
         iy += 1
         ix = 0
-        self.volume_surface_sizer.Add(surface_txt, (iy, ix), (1,1),
+        self.volume_surface_sizer.Add(surface_txt, (iy, ix), (1, 1),
                              wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
         ix += 1
-        self.volume_surface_sizer.Add(self.surface_tcl, (iy, ix), (1,1),
+        self.volume_surface_sizer.Add(self.surface_tcl, (iy, ix), (1, 1),
                             wx.EXPAND|wx.ADJUST_MINSIZE, 0)
         ix += 1
@@ -1612,8 +1706,8 @@
                          (iy, ix),(1,1),wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
         ix += 1
-        self.volume_surface_sizer.Add(self.surface_err_tcl, (iy, ix), (1,1),
+        self.volume_surface_sizer.Add(self.surface_err_tcl, (iy, ix), (1, 1),
                             wx.EXPAND|wx.ADJUST_MINSIZE, 0) 
         ix += 1
-        self.volume_surface_sizer.Add(surface_units_txt, (iy, ix), (1,1),
+        self.volume_surface_sizer.Add(surface_units_txt, (iy, ix), (1, 1),
                             wx.EXPAND|wx.ADJUST_MINSIZE, 10)
         
@@ -1625,9 +1719,14 @@
         unit_invariant = '[1/(cm * A)]'
         invariant_total_txt = wx.StaticText(self, -1, 'Invariant Total [Q*]')
-        self.invariant_total_tcl = OutputTextCtrl(self, -1, size=(_BOX_WIDTH,-1),name='invariant_total_tcl')
+        self.invariant_total_tcl = OutputTextCtrl(self, -1,
+                                                  size=(_BOX_WIDTH,-1),
+                                                  name='invariant_total_tcl')
         msg_hint = "Total invariant [Q*], including extrapolated regions."
         self.invariant_total_tcl.SetToolTipString(msg_hint)
-        self.invariant_total_err_tcl = OutputTextCtrl(self, -1, size=(_BOX_WIDTH,-1),name='invariant_total_err_tcl')
-        self.invariant_total_err_tcl.SetToolTipString("Uncertainty on invariant.")
+        self.invariant_total_err_tcl = OutputTextCtrl(self, -1,
+                                                      size=(_BOX_WIDTH,-1),
+                                                name='invariant_total_err_tcl')
+        hint_msg = "Uncertainty on invariant."
+        self.invariant_total_err_tcl.SetToolTipString(hint_msg)
         invariant_total_units_txt = wx.StaticText(self, -1, unit_invariant)
     
@@ -1635,8 +1734,8 @@
         iy = 0
         ix = 0
-        self.invariant_sizer.Add(invariant_total_txt, (iy, ix), (1,1),
+        self.invariant_sizer.Add(invariant_total_txt, (iy, ix), (1, 1),
                              wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
         ix += 1
-        self.invariant_sizer.Add(self.invariant_total_tcl, (iy, ix), (1,1),
+        self.invariant_sizer.Add(self.invariant_total_tcl, (iy, ix), (1, 1),
                           wx.EXPAND|wx.ADJUST_MINSIZE, 10)
         ix += 1
@@ -1644,8 +1743,8 @@
                          (iy, ix),(1,1),wx.EXPAND|wx.ADJUST_MINSIZE, 10) 
         ix += 1
-        self.invariant_sizer.Add(self.invariant_total_err_tcl, (iy, ix), (1,1),
+        self.invariant_sizer.Add(self.invariant_total_err_tcl, (iy, ix), (1, 1),
                              wx.EXPAND|wx.ADJUST_MINSIZE, 10)
         ix += 1
-        self.invariant_sizer.Add(invariant_total_units_txt,(iy, ix), (1,1),
+        self.invariant_sizer.Add(invariant_total_units_txt,(iy, ix), (1, 1),
                           wx.EXPAND|wx.ADJUST_MINSIZE, 10)
  
@@ -1675,5 +1774,6 @@
         #compute button
         id = wx.NewId()
-        self.button_calculate = wx.Button(self, id, "Compute", name ='compute_invariant' )
+        self.button_calculate = wx.Button(self, id, "Compute",
+                                          name='compute_invariant')
         self.button_calculate.SetToolTipString("Compute invariant")
         self.Bind(wx.EVT_BUTTON, self.compute_invariant, id=id)   
@@ -1681,5 +1781,6 @@
         id = wx.NewId()
         self.button_details = wx.Button(self, id, "Details?")
-        self.button_details.SetToolTipString("Details about the results of the computation")
+        hint_msg = "Details about the results of the computation"
+        self.button_details.SetToolTipString(hint_msg)
         self.Bind(wx.EVT_BUTTON, self.display_details, id=id)
         details = "Details on Invariant Total Calculations"
@@ -1689,5 +1790,6 @@
                                     wx.RIGHT|wx.BOTTOM|wx.TOP, 10),
                                    (self.button_details, 0 , wx.ALL, 10),
-                        (self.button_calculate, 0 , wx.RIGHT|wx.TOP|wx.BOTTOM, 10)])#,
+                        (self.button_calculate, 0 ,
+                         wx.RIGHT|wx.TOP|wx.BOTTOM, 10)])#,
                                    #(self.button_undo, 0 , wx.ALL, 10),
                                    #(self.button_redo, 0 , wx.ALL, 10)])
@@ -1706,5 +1808,6 @@
         #undo button
         id = wx.NewId()
-        self.button_undo = wx.BitmapButton(self, id,wx.Bitmap(self.undo_png))#wx.Button(self, id, "Undo",size=(50,20))
+        #wx.Button(self, id, "Undo",size=(50,20))
+        self.button_undo = wx.BitmapButton(self, id,wx.Bitmap(self.undo_png))
         self.button_undo.SetToolTipString("Undo")
         
@@ -1714,5 +1817,6 @@
         #redo button
         id = wx.NewId()
-        self.button_redo = wx.BitmapButton(self, id,wx.Bitmap(self.redo_png))#wx.Button(self, id, "Redo",size=(50,20))
+        #wx.Button(self, id, "Redo",size=(50,20))
+        self.button_redo = wx.BitmapButton(self, id,wx.Bitmap(self.redo_png))
         self.button_redo.SetToolTipString("Redo")
         self.Bind(wx.EVT_BUTTON, self.redo, id=id)
@@ -1720,25 +1824,39 @@
         #bookmark button
         id = wx.NewId()
-        self.button_bookmark = wx.BitmapButton(self, id,wx.Bitmap(self.bookmark_png))#wx.Button(self, id, "Undo",size=(50,20))
-        self.button_bookmark.SetToolTipString("Bookmark: right-click on the panel to retrieve it")
+        #wx.Button(self, id, "Undo",size=(50,20))
+        self.button_bookmark = wx.BitmapButton(self, id,
+                                               wx.Bitmap(self.bookmark_png))
+        hint_msg = "Bookmark: right-click on the panel to retrieve it"
+        self.button_bookmark.SetToolTipString(hint_msg)
         self.Bind(wx.EVT_BUTTON, self._on_bookmark, id=id)
         #report button
         id = wx.NewId()
-        self.button_report = wx.BitmapButton(self, id,wx.Bitmap(self.report_png))#wx.Button(self, id, "Redo",size=(50,20))
-        self.button_report.SetToolTipString("Report the result of the computation")
+        #wx.Button(self, id, "Redo",size=(50,20))
+        self.button_report = wx.BitmapButton(self, id,
+                                             wx.Bitmap(self.report_png))
+        hint_msg = "Report the result of the computation"
+        self.button_report.SetToolTipString(hint_msg)
         self.Bind(wx.EVT_BUTTON, self.report, id=id)
         #self.button_report.Disable()   
         #save button
         id = wx.NewId()
-        self.button_save = wx.BitmapButton(self, id,wx.Bitmap(self.save_png), name ='Save_invariant')#wx.Button(self, id, "Save", name ='Save_invariant' )
+        #wx.Button(self, id, "Save", name ='Save_invariant' )
+        self.button_save = wx.BitmapButton(self, id, wx.Bitmap(self.save_png),
+                                           name='Save_invariant')
         self.button_save.SetToolTipString("Save as a file")
         self.Bind(wx.EVT_BUTTON, self._on_save_button, id=id)   
         self.button_save.Disable()  
-        self.save_button_sizer.AddMany([((PANEL_WIDTH/2,20), 1 , wx.EXPAND|wx.ADJUST_MINSIZE,0),
-                                   (self.button_undo, 0 ,wx.LEFT|wx.ADJUST_MINSIZE, 10),
-                                   (self.button_redo, 0 ,wx.LEFT|wx.ADJUST_MINSIZE, 10),
-                                   (self.button_bookmark, 0 ,wx.LEFT|wx.ADJUST_MINSIZE, 10),
-                                   (self.button_report, 0 ,wx.LEFT|wx.ADJUST_MINSIZE, 10),
-                                   (self.button_save, 0 ,wx.LEFT|wx.ADJUST_MINSIZE, 10)])        
+        self.save_button_sizer.AddMany([((PANEL_WIDTH/2,20), 1 ,
+                                         wx.EXPAND|wx.ADJUST_MINSIZE,0),
+                                   (self.button_undo, 0 ,
+                                    wx.LEFT|wx.ADJUST_MINSIZE, 10),
+                                   (self.button_redo, 0 ,
+                                    wx.LEFT|wx.ADJUST_MINSIZE, 10),
+                                   (self.button_bookmark, 0 ,
+                                    wx.LEFT|wx.ADJUST_MINSIZE, 10),
+                                   (self.button_report, 0 ,
+                                    wx.LEFT|wx.ADJUST_MINSIZE, 10),
+                                   (self.button_save, 0 ,
+                                    wx.LEFT|wx.ADJUST_MINSIZE, 10)])        
     def _do_layout(self):
         """
@@ -1781,6 +1899,6 @@
     """
     """
-    def __init__(self, parent=None, id=1,graph=None, 
-                 data=None, title="Invariant",base=None):
+    def __init__(self, parent=None, id=1, graph=None, 
+                 data=None, title="Invariant", base=None):
         
         wx.Frame.__init__(self, parent, id, title, size=(PANEL_WIDTH +100,
@@ -1789,6 +1907,6 @@
         self.loader = Loader()
         import invariant
-
-        data= self.loader.load("C:/ECLPS/workspace/trunk/DataLoader/test/ascii_test_3.txt")
+        path = "C:/ECLPS/workspace/trunk/DataLoader/test/ascii_test_3.txt"
+        data= self.loader.load(path)
         self.panel = InvariantPanel(self)
 
